#
# spec file for package php7-uploadprogress
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define pkg_name uploadprogress
Name:           php7-uploadprogress
Version:        2.0.2
Release:        lp155.3.1
License:        PHP-3.01
Summary:        An php extension to track progress of a file upload
Url:            http://pecl.php.net/uploadprogress
Group:          Productivity/Networking/Web/Servers
Source:         https://pecl.php.net/get/%{pkg_name}-%{version}.tgz
BuildRequires:  php7-devel
BuildRequires:  php-devel(vhng)
Provides:       php-uploadprogress = %{version}
Provides:       php-uploadprogress(vhng) = %{php_vhng_branch}
Obsoletes:      php-uploadprogress < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{?php_zend_api}0
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
%else
%requires_eq    php7
%endif
Requires:       php(vhng) = %{php_vhng_branch}

%description
An php extension to track progress of a file upload.

%prep
%setup -q -n %{pkg_name}-%{version}
mkdir %{name}

%build
%{_bindir}/phpize
pushd %{name}
CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
export CFLAGS
export CXXFLAGS
../configure
make %{?_smp_mflags}
popd

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} -C %{name} INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/php7/conf.d
echo "; comment out next line to disable uploadprogress extension in php" > %{buildroot}%{_sysconfdir}/php7/conf.d/uploadprogress.ini
echo 'extension = uploadprogress.so' >> %{buildroot}%{_sysconfdir}/php7/conf.d/uploadprogress.ini


%files
%defattr(-,root,root,-)
%{_libdir}/php7/extensions/uploadprogress.so
%config(noreplace) %{_sysconfdir}/php7/conf.d/uploadprogress.ini

%changelog
* Wed Aug 16 2023 Angelo Grossini <rottame@intercom.it>
- vhng versioning
